#include <sys/types.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/wait.h>

int main()
{
	pid_t pid;
	/* 创建一个子进程 */
	pid = fork();
	if (pid < 0)
	{ /* 错误发生 */
		fprintf(stderr, "创建进程失败");
		return 1;
	}
	else if (pid == 0)
	{ /* 子进程 */
		execlp("/bin/ls", "ls", NULL);
		// 如果execlp函数调用失败，需要在这里处理错误
		fprintf(stderr, "execlp 失败");
		return 1;
	}
	else
	{ /* 父进程 */
		/* 父进程将一直等待，直到子进程运行完毕 */
		wait(NULL);
		printf("子进程完成\n");
	}
	return 0;
}

